import React, { useState } from 'react';
import Heading from './components/Heading';
import Table from './components/Table';
import Form from './components/Form';
import { default as data } from './data.json';
import './App.css';

const App = () => {
    const [productList, setProductList] = useState(data.productList);

    const onDelete = (id: string) => {
        setProductList((prevList) =>
            prevList.filter((product, i) => {
                return product.id !== id;
            })
        );
    };

    const onAdd = (product: any) => {
        setProductList((prevList) => [...prevList, product]);
    };

    return (
        <div className="App">
            <Heading title="Products" />
            <Table data={productList} onDelete={onDelete} />
            <Form onSubmit={onAdd} />
        </div>
    );
};

export default App;
