import Thumbnail from '../Thumbnail';
import images from '../../images/index';

type ImagesKeys = keyof typeof images;

interface TableBodyProps {
    list: Array<{
        img: ImagesKeys;
        name: string;
        price: string;
        description: string;
        id: string;
        alt: string;
    }>;
    onDelete: Function;
}

const TableBody = ({ list, onDelete }: TableBodyProps): JSX.Element => (
    <tbody>
        {list.map((item, index) => {
            return (
                <tr key={index}>
                    <td><Thumbnail src={images[item.img]} alt={item.alt} /></td>
                    <td>{item.name}</td>
                    <td>{item.price}</td>
                    <td>{item.description}</td>
                    <td><button className="btn-icon" onClick={() => onDelete(item.id)}>
                        <i className="material-icons">delete</i>
                    </button></td>
                </tr>
            );
        })}
    </tbody>
);

export default TableBody;