import { useState } from 'react';
import './style.css';

interface FormProps {
    onSubmit: Function;
}

const Form = ({ onSubmit }: FormProps) => {
    const [formOpen, setFormOpen] = useState(false);
    const [img, setImg] = useState('');
    const [name, setName] = useState('');
    const [price, setPrice] = useState('');
    const [description, setDescription] = useState('');

    const onClick = () => {
        setFormOpen(!formOpen);
        const randomId = Math.random().toString();
        const product = { id: randomId, img, name, price, description, alt: description };

        onSubmit(product);
    };

    const button = <button className="fab" onClick={() => { setFormOpen(!formOpen) }}>+ Add</button>;
    const form = (
        <div className="form-container">
            <h3>Add a new product below:</h3>
            <label>Image</label><input value={img} onChange={e => setImg(e.target.value)} />
            <label>Name</label><input value={name} onChange={e => setName(e.target.value)} />
            <label>Price</label><input value={price} onChange={e => setPrice(e.target.value)} />
            <label>Description</label><input value={description} onChange={e => setDescription(e.target.value)} />
            <button onClick={onClick}>Add</button></div>
    );

    return formOpen ? form : button;
};

export default Form;