import { useState } from 'react';
import Heading from '../../components/Heading'
import Table from '../../components/Table'
import Form from '../../components/Form'
import { default as data } from '../../data.json';

const Home = () => {
	const [productList, setProductList] = useState(data.productList);

	const onDelete = (id: string) => {
		const newList = productList.filter(item => item.id !== id)

		setProductList(newList);
	};

	const onAdd = (product: any) => {
        const newList = [...productList, product];

		setProductList(newList);
	};

	return (
		<div className="home-container">
			<Heading title="Products" />
			<Table data={productList} onDelete={onDelete} />
			<Form onSubmit={onAdd}/>
		</div>
	);
};

export default Home;